#include <bits/stdc++.h>
using namespace std;
long long n,a[10000007],b[10000007],d=0;
long long uoc(long long k)
{
    long long s=0;
    for(int i=1;i*i<=k;i++)
    {
        if(k%i==0)
        {
            s+=i;
            if(i*i!=k&&k/i!=k) s+=k/i;
        }
    }
    return s;
}
void sub1()
{
    for(int i=1;i<=n;i++)
    {
        if(uoc(a[i])>a[i]) d++;
    }
    cout<<d;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);cout.tie(0);
    freopen("TIHON.inp","r",stdin);
    freopen("TIHON.out","w",stdout);
    cin>>n;
    for(int i=1;i<=n;i++) cin>>a[i];
    sub1();
    return 0;
}
